<?php
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
require_once("../includes/clase_sesion.php");
$sesion=new sesion();
$sesion->set('permiso',permisos($_POST['privilegio']));

require_once("../includes/lib_lenguaje.php");
$clenguaje=new cLanguage();
	
if(!comprobar_sesion()){
	mensaje($clenguaje->Phrase('global','ses_cad'),$clenguaje->Phrase('project','institucion'));
	exit;	
}

require_once('../includes/MySQL.php');
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

$codigo_usr=$_GET['id_rol'];//codigo del tipo de usuario - Rol
?>

<table border="0" cellpadding="2" cellspacing="0" id="lis_per_menu">
  <tr>
    <th width="200" rowspan="2" align="left"><span class="tit1">Menú</span></th>
    <th width="400" rowspan="2" align="left"><span class="tit1">Descripcion Menú</span></th>
    <th colspan="5"><span class="tit1">Permisos</span></th>
  </tr>
  <tr>
    <th  title="Añadir"><span class="tit1">
      <input type="checkbox" name="txttodosA" id="txttodosA" idclas='anadir'/>
      A</span></th>
    <th  title="Modificar"><span class="tit1">
      <input type="checkbox" name="txttodosM" id="txttodosM" idclas='edtitar'/>
      M</span></th>
    <th  title="Eliminar"><span class="tit1">
      <input type="checkbox" name="txttodosE" id="txttodosE" idclas='elimina' />
      E</span></th>
    <th align="center" title="Subir Archivos"><input type="checkbox" name="txttodosS" id="txttodosS" idclas='subir' />
      S</th>
    <th align="center" title="Exportar a excel"><input type="checkbox" name="txttodosEX" id="txttodosEX" idclas='exporta' />
      Ex</th>
  </tr >
  <?php
	$x=0;
	$sqlmenu="SELECT * FROM conf_menu where trim(url_formulario)<>''";
	$academia->instruccion($sqlmenu);
	
	
	while($reg=$academia->extraer_registro()){
		$codfor=$reg['ide_formulario'];		
		$academia_per= new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
		
		$sqlperasi="SELECT * FROM conf_per_modulos where ide_tip_usuario='$codigo_usr' and ide_formulario='$codfor'";
		$academia_per->instruccion($sqlperasi);
		$regper=$academia_per->extraer_registro();
		
		$numreg=$academia_per->num_rows();
		
		$valtipo= $numreg==0 ? '' : $regper['ide_per_mod']; // lleva en cuenta el codigo del permiso que ya existe para el formulario
		
		$valper=$regper['permiso']; // trae el valor del permiso para checarlo al mostrarlo
		
		$valper=($valper=='2' || $valper=='') ? 1 : $valper;
		
		$perx=str_split(permisos($regper['permiso']));
		$academia_per->liberar();
		$academia_per->cerrar();

		$cha=in_array("A",$perx) ? 'checked' : '';
		$chm=in_array("M",$perx) ? 'checked' : '';
		$che=in_array("E",$perx) ? 'checked' : '';
		$chs=in_array("S",$perx) ? 'checked' : '';
		$chx=in_array("P",$perx) ? 'checked' : '';
		
		
?>
  <tr class="opera">
    <td class="togFila" nx='<?php echo $x ?>'><?php 
			//echo "<input name='txttipact[]' id='txttipact$x' type='hidden' value='".$valtipo."'/>";
			echo "<input name='codigofor[]' id='codigofor$x' type='hidden' value='".$reg['cod_formulario']."'/>"; //codigo del formulario los que llevan punto
			echo "<input name='txtidefor[]' id='txtidefor$x' type='hidden' value='".$reg['ide_formulario']."'/>". $reg['nom_formulario'] ; //id autoincrmento del formuario
		//colocar otro campo oculto para llevar el codigo del formulario (nivel)
		?></td>
    <td class="togFila" nx='<?php echo $x ?>'><?php echo $reg['des_formulario'] ?></td>
    <td><?php echo "<input name='txtpera[]' id='txtpera$x' n='$x'  class='anadir  fila$x' type='checkbox'  value='2' $cha onchange=\"calper('$x','txtpera$x',2)\" />" ?></td>
    <td><?php echo "<input name='txtperm[]' id='txtperm$x' n='$x'  class='edtitar fila$x' type='checkbox' value='4' $chm onchange=\"calper('$x','txtperm$x',4)\" />" ?></td>
    <td><?php echo "<input name='txtpere[]' id='txtpere$x' n='$x'  class='elimina fila$x' type='checkbox' value='8' $che onchange=\"calper('$x','txtpere$x',8)\" /> " ?></td>
    <td><?php echo "<input name='txtpers[]' id='txtpers$x' n='$x'  class='subir fila$x' type='checkbox' type='checkbox' value='16' $chs onchange=\"calper('$x','txtpers$x',16)\" />" ?></td>
    <td><?php echo "<input name='txtperx[]' id='txtperx$x' n='$x'  class='exporta fila$x' type='checkbox' value='32' $chx onchange=\"calper('$x','txtperx$x',32)\" /> 
		<input name='txtvalper[]' id='txtvalper$x' type='hidden' value='$valper'/>"  ?></td>
  </tr>
  <?php		
	$x++;
	}
	$academia->liberar();
	$academia->cerrar();
?>
</table>
